Nimply Developers
API ReferenceBrand kits

Create a brand kit

POST
/v1/brand-kits

A new brand kit with a name and, optionally, colours, fonts, voice, guidelines and a logo. The plan sets how many kits a workspace can have.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/brand-kits" \  -H "Content-Type: application/json" \  -d '{    "name": "Brewhaus"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "Brewhaus",  "isMain": true,  "colors": [    "#F0530F",    "#1B1815"  ],  "fonts": {    "heading": {      "family": "Inter",      "weight": 700    },    "subheading": {      "family": "Inter",      "weight": 700    },    "body": {      "family": "Inter",      "weight": 700    }  },  "voice": "string",  "guidelines": "string",  "logo": {    "mediaId": "5a8ffac5-2288-485d-b463-90c3cd9941ad",    "url": {}  },  "learnedStyle": {    "status": "empty",    "version": 2,    "learnedAt": "2019-08-24T14:15:22Z"  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
Empty
Empty
Empty